Framework

Résolu
fdouieb
Messages postés
264
Date d'inscription
vendredi 12 décembre 2003
Statut
Membre
Dernière intervention
12 juin 2013
- 10 avril 2007 à 20:26
cs_coq
Messages postés
6351
Date d'inscription
samedi 1 juin 2002
Statut
Membre
Dernière intervention
2 août 2014
- 14 avril 2007 à 17:12
Bonjour,


J'ai développer il y a 1 an une application sous le framework 1.1.


Actuellement
je possède le franwork 2.0. Cependant, il y a certaine fonctionnalité que
plante.


Est-il possible de compiler mon appli avec le framwork 1.1



Merci de votre réponse

<!--[if !supportLineBreakNewLine]-->
<!--[endif]-->



 

7 réponses

SharpMao
Messages postés
1024
Date d'inscription
mardi 4 février 2003
Statut
Membre
Dernière intervention
7 juin 2010
67
11 avril 2007 à 07:55
Hello,

Si tu travailles avec VS2005, il ne peut compiler qu'avec le framework 2.0, sauf erreur de ma part.
Par contre, si tu as le SDK du 1.1 installé, tu peux toujours effectuer la compilation à la main, en ligne de commande.

Amicalement, SharpMao
3
cs_Bidou
Messages postés
5487
Date d'inscription
dimanche 4 août 2002
Statut
Membre
Dernière intervention
20 juin 2013
59
10 avril 2007 à 22:02
Salut,
Si ton application a été faite avec le framework 2, elle n'est pas compilable avec la version 1.1...

<hr />
-Blog-
0
fdouieb
Messages postés
264
Date d'inscription
vendredi 12 décembre 2003
Statut
Membre
Dernière intervention
12 juin 2013
3
10 avril 2007 à 22:06
Mon appli a été faite avec 1.1
0
cs_Bidou
Messages postés
5487
Date d'inscription
dimanche 4 août 2002
Statut
Membre
Dernière intervention
20 juin 2013
59
10 avril 2007 à 23:04
Alors je ne vois pas le probleme?

<hr />
-Blog-
0

Vous n’avez pas trouvé la réponse que vous recherchez ?

Posez votre question
fdouieb
Messages postés
264
Date d'inscription
vendredi 12 décembre 2003
Statut
Membre
Dernière intervention
12 juin 2013
3
10 avril 2007 à 23:54
Lorsque je compile l'application , il utilise automatiquement le dernier framework qui se trouve sur la machine, c'est a dire le framework 2. Je voudrais savoir s'il y est possible de lui dire de compilé avec le framework 1.1
0
cs_Bidou
Messages postés
5487
Date d'inscription
dimanche 4 août 2002
Statut
Membre
Dernière intervention
20 juin 2013
59
11 avril 2007 à 08:55
Oui, c'est exacte ;-)

<hr />
-Blog-
0
cs_coq
Messages postés
6351
Date d'inscription
samedi 1 juin 2002
Statut
Membre
Dernière intervention
2 août 2014
99
14 avril 2007 à 17:12
En clair :

Compilation avec VS2003 => executable prévu pour le CLR 1.1
Compilation avec VS2005 => executable prévu pour le CLR 2.0

Sur le poste client, sauf configuration contraire, l'application sera executée avec le runtime pour lequel elle a été compilée
Si il n'est pas présent, l'execution sera tentée avec la version suivante.

En gros, si tu possèdes encore des applications compilées pour le CLR 1.1, garde la version 1.1 du framework sur la machine, côte à côte avec la version 2.0, ça cohabite sans problème. (en s'arrangeant pour les installer dans l'ordre de sortie)

/*
coq
MVP Visual C#
CoqBlog
*/
0